Fehlermeldung bei Einsatz Plugin Keine Preise ohne Login

Shopware Version ist 4.0.4 Shop ist mit Hilfe des Plugin „Keine Preise ohne Login“ so konfiguriert das die Preise nur nach Login von z.B. Händlern sichtbar werden. Nach Login bekommen wir aber die folgende Fehlermeldung: Fatal error: Call to undefined function smarty\_modifier\_currency() in /xxxxxxxx/shopware/engine/Shopware/Plugins/Community/Frontend/SwagHidePrices/Bootstrap.php on line 69 Haben wir etwas falsch konfiguriert ? Vielen Dank

Kommt bei mir auch. Es scheint laut Update-Info eine neue Version 1.0.3 vom Plugin zu geben (aktuell 1.0.2). Ich habe versucht, das Plugin komplett zu löschen und mit dem Update zu aktualisieren, leider zeigt er nach wie vor die Version 1.0.2 an. Meine Vermutung: 1.0.3 würde den Fehler, den Du beschrieben hast korrigieren, leider scheint der Updater noch auf die falsche Version zu verlinken.

1 Like

Hi … habt ihr das problem lösen können ? habe auch das gleiche

1 Like

Hallo Habe seit 3 Tagen ein Support-Ticket offen. Das ist mein erstes Shopware-Projekt und ich bin gelinde gesagt „baff“, wie der Shopware-Support zu funktionieren scheint. In der Wartezeit habe ich mal recherchiert. Unter Shopware 3.5.6 gab es eine Datei „engine\Enlight\Enlight\Template\Plugins\modifier.currency.php“ mit eben besagter Funktion „smarty_modifier_currency“. Meine Vermutung ist, dass der Entwickler des SwagHidePrices-Moduls („D. Giesler“) dieses exklusive für Version 3 entwickelt hat und es bisher nicht für Version 4 getestet hat. Wie schon an anderer Stelle erwähnt, ist die Vermutung eines Bekannten, dass es sich bei Version 4 eigentlich um eine Beta-Version handelt und nicht um eine finale Version. Ich halte Euch hier auf dem Laufenden, sobald mein Support-Ticket bearbeitet wurde. Gruß Uwe

1 Like

Hallo Uwe, ich werde mich direkt um den Fall kümmern und du bekommst auf jeden Fall spätestens Montag eine Lösung oder Korrektur des Plugins zur Verfügung gestellt! [quote]Wie schon an anderer Stelle erwähnt, ist die Vermutung eines Bekannten, dass es sich bei Version 4 eigentlich um eine Beta-Version handelt und nicht um eine finale Version.[/quote] Allerdings sollten hier nicht verschiedene Dinge miteinander vermischt werden. Das eine sind Plugins, Erweiterungen, Schnittstelle etc. und stehen nicht in einem direkten Zusammenhang mit der Shopware 4 bzw. mit dem Kern der Shopware 4. Die meisten Plugins werden von unserer Seite alle schrittweise auf Shopware hin angepasst und da kann es in gewissen Konstellationen sicher auch mal ein Problem geben, wenn diese teilweise sogar neu umgesetzt werden/wurden. Sollte es ein generelles Problem mit diesem Plugin geben, so werden wir auch dazu global ein Update des Plugins bereitstellen. Das ist aber unabhängig von Shopware 4 zu sehen. Viele Grüße Sebastian PS: Kannst du die Version 1.0.3 mal direkt über account.shopware.de downloaden und installieren? Evtl. ist es dabei bereits korrigiert. Das kann ich leider aktuell nicht prüfen.

1 Like

:slight_smile: das hört sich doch gut an …

1 Like

Vielen Dank. Ich hab’s direkt heruntergeladen und eingespielt, leider immer noch die Version 1.0.2. Gruß Uwe

So, wie versprochen meine Rückmeldung: Der Shopware-Support hat mich heute um Zugangsdaten gebeten und mir dann das Plugin auf dem System selbst installiert. Seitdem läuft alles korrekt. Laut SVN-Diff ist es noch eine neuere Version als es zum Download angeboten wird. Ich gehe also davon aus, dass Ihr entweder auch ein Support-Ticket aufmachen müsst, oder ggf. warten müsst, bis das Plugin in einer neueren Version und mit funktionierendem Download online verfügbar ist. Ich kann Euch gerne auch den Diff zukommen lassen, gehe jedoch davon aus, dass es ggf. doch heikel werden könnte, das manuell selbst einzuspielen.

Hallo zusammen, das Plugin werden wir voraussichtlich Morgen in den Store stellen können, sodass ihr alle auf die aktualisierte Version zugreifen könnt. Viele Grüße und schönen Abend

2 Likes